Package org.eclipse.remote.core.exception

# Class AddressInUseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.remote.core.exception.RemoteConnectionException
org.eclipse.remote.core.exception.AddressInUseException

All Implemented Interfaces:
  `Serializable`

public class AddressInUseException extends RemoteConnectionException
Exception thrown when a connection address is already in use.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AddressInUseException(String message)`
`AddressInUseException(String message, Throwable cause)`
`AddressInUseException(Throwable cause)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AddressInUseException

public AddressInUseException(String message, Throwable cause)

Parameters:
  `message` -
  `cause` -

### AddressInUseException

public AddressInUseException(String message)

Parameters:
  `message` -

### AddressInUseException

public AddressInUseException(Throwable cause)

Parameters:
  `cause` -